from django.contrib.auth import models as am
from django.test import TestCase

from gaby.contacts import models as cm
from gaby.contacts.tests.utils import cfty, mfty
from gaby.references import models as rm


class ValProjetBio(TestCase):
    def setUp(self):
        self.usr1 = am.User.objects.create_user('usr1')
        self.fjur = rm.FormeJuridique()
        self.fjur.save()
        self.i_pm = {
            'date_creation': '2014-10-01',
            'date_derniere_modification': '2014-10-02',
            'utilisateur_derniere_modification': self.usr1,
            'f_juridique': self.fjur,
            'designation': "test",
        }
        self.i_projet = {
            'structure': cfty(cm.Structure, self.i_pm, statutbio=1)
        }

    def test_full_clean(self):
        projet = mfty(cm.ProjetBio, self.i_projet)
        projet.full_clean()


# EOF
