# -*- coding: utf-8 -*-


def mfty(model, init, **kwargs):
    "model factory with default value"
    create_args = {}
    create_args.update(init)
    create_args.update(kwargs)
    return model(**create_args)


def cfty(model, init, **kwargs):
    "model factory with default value, create in DB"
    instance = mfty(model, init, **kwargs)
    instance.save()
    return instance


# EOF
