from django.contrib import admin

# see https://stackoverflow.com/questions/
# 17392087/how-to-modify-django-admin-filters-title


def custom_titled_filter(title):
    class Wrapper(admin.FieldListFilter):
        def __new__(cls, *args, **kwargs):
            instance = admin.FieldListFilter.create(*args, **kwargs)
            instance.title = title
            return instance

    return Wrapper
